public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-forensics/aflplusplus/, app-forensics/aflplusplus/files/
Date: Wed, 31 Aug 2022 04:30:25 +0000 (UTC)	[thread overview]
Message-ID: <1661920003.0e3b20750bc2d021e7540d24433bfbf3afb16890.sam@gentoo> (raw)

commit:     0e3b20750bc2d021e7540d24433bfbf3afb16890
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 31 04:26:43 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Aug 31 04:26:43 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e3b2075

app-forensics/aflplusplus: drop 4.00c

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-forensics/aflplusplus/Manifest                 |   1 -
 app-forensics/aflplusplus/aflplusplus-4.00c.ebuild |  88 ---------------
 ...lplusplus-4.00c-no-ignore-errors-makefile.patch | 121 --------------------
 .../files/aflplusplus-4.00c-respect-flags.patch    | 122 ---------------------
 4 files changed, 332 deletions(-)

diff --git a/app-forensics/aflplusplus/Manifest b/app-forensics/aflplusplus/Manifest
index f5ef08b725dc..3a76da8c144b 100644
--- a/app-forensics/aflplusplus/Manifest
+++ b/app-forensics/aflplusplus/Manifest
@@ -1,3 +1,2 @@
-DIST aflplusplus-4.00c.tar.gz 2805041 BLAKE2B c1ce15aa9860fc02a7d6f608cae9dd8987b72253b465ea734c721d1b6927e482c31b907aeafe82c00618465227e2e140bfc595151ea5d73037638c3ee630872c SHA512 23a7a4260e581f7c212393e1e14704464bbbc3ff5465b3472db31c6c7f2cd25a9ecc5ad81fad8958c775fcd01b22269085e6c69419a07fbbdb9ec317a3e39beb
 DIST aflplusplus-4.01c.tar.gz 2818445 BLAKE2B f3699c4b2fabec0ab238277c3b2c7b19b35af7a0b82b14a57c34b8579121cfa0644ef432132cf4a3382547db3faf799d2ab601512ddfb469e4a2246cdb61aa7f SHA512 d2b03ab4ff9538fe0b52aa3ed4778a6e5657d64d6f0e5f75a99305bad69c5179d6b1c882650f19a884a740577acb73dab7cee3d5c9c7b06ff2326ffeba37d1fe
 DIST aflplusplus-4.02c.tar.gz 2828429 BLAKE2B 0c4d7937626a699bb6768e2f67f369508f7ec131d1170cd48f8650d8081135b466733de34e52f2ac2213c4bd13ab8936b17d3b0f8debf28e8a32ad87d9dcb55d SHA512 f5159a84e0ecd2c260d2d8ce7df33fe4704c664bdf06f193a7fef377d48646e4d921ee90d0b66c7dac02d16e6b1607c6569351aaeea9b2ee3968d22b3f583763

diff --git a/app-forensics/aflplusplus/aflplusplus-4.00c.ebuild b/app-forensics/aflplusplus/aflplusplus-4.00c.ebuild
deleted file mode 100644
index 3cc127a6a3d0..000000000000
--- a/app-forensics/aflplusplus/aflplusplus-4.00c.ebuild
+++ /dev/null
@@ -1,88 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8,9,10} )
-LLVM_MAX_SLOT=13
-inherit toolchain-funcs llvm optfeature python-single-r1
-
-DESCRIPTION="A fork of AFL, the popular compile-time instrumentation fuzzer"
-HOMEPAGE="https://github.com/AFLplusplus/AFLplusplus"
-SRC_URI="https://github.com/AFLplusplus/AFLplusplus/archive/${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/AFLplusplus-${PV}"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 arm64"
-IUSE="test"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-# Tests involve heavy use of LD_PRELOAD in some cases
-# This isn't compatible with sandbox
-RESTRICT="test"
-
-# It turns out we need Clang too
-RDEPEND="${PYTHON_DEPS}
-	>=sys-devel/llvm-11:=
-	|| (
-		sys-devel/clang:11
-		sys-devel/clang:12
-		sys-devel/clang:13
-	)
-	!app-forensics/afl"
-DEPEND="${RDEPEND}
-	test? ( dev-util/cmocka )"
-
-QA_PREBUILT="usr/share/afl/testcases/others/elf/small_exec.elf"
-
-PATCHES=(
-	"${FILESDIR}"/${PN}-4.00c-respect-flags.patch
-	"${FILESDIR}"/${PN}-4.00c-no-ignore-errors-makefile.patch
-)
-
-llvm_check_deps() {
-	has_version -b "sys-devel/clang:${LLVM_SLOT}" && \
-		has_version -b "sys-devel/llvm:${LLVM_SLOT}"
-}
-
-pkg_setup() {
-	llvm_pkg_setup
-	python-single-r1_pkg_setup
-}
-
-src_compile() {
-	emake \
-		CC="$(tc-getCC)" \
-		CXX="$(tc-getCXX)" \
-		CFLAGS_FLTO="" \
-		PREFIX="${EPREFIX}/usr" \
-		HELPER_PATH="${EPREFIX}/usr/$(get_libdir)/afl" \
-		DOC_PATH="${EPREFIX}/usr/share/doc/${PF}" \
-		MAN_PATH="${EPREFIX}/usr/share/man/man8"
-}
-
-src_test() {
-	emake \
-		CC="$(tc-getCC)" \
-		CXX="$(tc-getCXX)"
-}
-
-src_install() {
-	emake \
-		CC="$(tc-getCC)" \
-		CXX="$(tc-getCXX)" \
-		DESTDIR="${D}" \
-		PREFIX="${EPREFIX}/usr" \
-		HELPER_PATH="${EPREFIX}/usr/$(get_libdir)/afl" \
-		DOC_PATH="${EPREFIX}/usr/share/doc/${PF}" \
-		MAN_PATH="${EPREFIX}/usr/share/man/man8" \
-		install
-}
-
-pkg_postinst() {
-	# TODO: Any others?
-	optfeature "fuzzing with AFL_USE_ASAN" sys-libs/compiler-rt-sanitizers[asan]
-	optfeature "fuzzing with AFL_USE_MSAN" sys-libs/compiler-rt-sanitizers[msan]
-}

diff --git a/app-forensics/aflplusplus/files/aflplusplus-4.00c-no-ignore-errors-makefile.patch b/app-forensics/aflplusplus/files/aflplusplus-4.00c-no-ignore-errors-makefile.patch
deleted file mode 100644
index 50d9268ac9bb..000000000000
--- a/app-forensics/aflplusplus/files/aflplusplus-4.00c-no-ignore-errors-makefile.patch
+++ /dev/null
@@ -1,121 +0,0 @@
-https://bugs.gentoo.org/800941
-
---- a/GNUmakefile
-+++ b/GNUmakefile
-@@ -310,13 +310,13 @@ all:	test_x86 test_shm test_python ready $(PROGS) afl-as llvm gcc_plugin test_bu
- 
- .PHONY: llvm
- llvm:
--	-$(MAKE) -j4 -f GNUmakefile.llvm
-+	$(MAKE) -j4 -f GNUmakefile.llvm
- 	@test -e afl-cc || { echo "[-] Compiling afl-cc failed. You seem not to have a working compiler." ; exit 1; }
- 
- .PHONY: gcc_plugin
- gcc_plugin:
- ifneq "$(SYS)" "Darwin"
--	-$(MAKE) -f GNUmakefile.gcc_plugin
-+	$(MAKE) -f GNUmakefile.gcc_plugin
- endif
- 
- .PHONY: man
-@@ -565,19 +565,19 @@ all_done: test_build
- .PHONY: clean
- clean:
- 	rm -rf $(PROGS) afl-fuzz-document afl-as as afl-g++ afl-clang afl-clang++ *.o src/*.o *~ a.out core core.[1-9][0-9]* *.stackdump .test .test1 .test2 test-instr .test-instr0 .test-instr1 afl-cs-proxy afl-qemu-trace afl-gcc-fast afl-g++-fast ld *.so *.8 test/unittests/*.o test/unittests/unit_maybe_alloc test/unittests/preallocable .afl-* afl-gcc afl-g++ afl-clang afl-clang++ test/unittests/unit_hash test/unittests/unit_rand *.dSYM
--	-$(MAKE) -f GNUmakefile.llvm clean
--	-$(MAKE) -f GNUmakefile.gcc_plugin clean
--	-$(MAKE) -C utils/libdislocator clean
--	-$(MAKE) -C utils/libtokencap clean
-+	$(MAKE) -f GNUmakefile.llvm clean
-+	$(MAKE) -f GNUmakefile.gcc_plugin clean
-+	$(MAKE) -C utils/libdislocator clean
-+	$(MAKE) -C utils/libtokencap clean
- 	$(MAKE) -C utils/aflpp_driver clean
--	-$(MAKE) -C utils/afl_network_proxy clean
--	-$(MAKE) -C utils/socket_fuzzing clean
--	-$(MAKE) -C utils/argv_fuzzing clean
--	-$(MAKE) -C utils/plot_ui clean
--	-$(MAKE) -C qemu_mode/unsigaction clean
--	-$(MAKE) -C qemu_mode/libcompcov clean
--	-$(MAKE) -C qemu_mode/libqasan clean
--	-$(MAKE) -C frida_mode clean
-+	$(MAKE) -C utils/afl_network_proxy clean
-+	$(MAKE) -C utils/socket_fuzzing clean
-+	$(MAKE) -C utils/argv_fuzzing clean
-+	$(MAKE) -C utils/plot_ui clean
-+	$(MAKE) -C qemu_mode/unsigaction clean
-+	$(MAKE) -C qemu_mode/libcompcov clean
-+	$(MAKE) -C qemu_mode/libqasan clean
-+	$(MAKE) -C frida_mode clean
- 	rm -rf nyx_mode/packer/linux_initramfs/init.cpio.gz nyx_mode/libnyx/libnyx/target/release/* nyx_mode/QEMU-Nyx/x86_64-softmmu/qemu-system-x86_64
- ifeq "$(IN_REPO)" "1"
- 	-test -e coresight_mode/coresight-trace/Makefile && $(MAKE) -C coresight_mode/coresight-trace clean || true
-@@ -607,20 +607,20 @@ endif
- 
- .PHONY: distrib
- distrib: all
--	-$(MAKE) -j4 -f GNUmakefile.llvm
-+	$(MAKE) -j4 -f GNUmakefile.llvm
- ifneq "$(SYS)" "Darwin"
--	-$(MAKE) -f GNUmakefile.gcc_plugin
-+	$(MAKE) -f GNUmakefile.gcc_plugin
- endif
--	-$(MAKE) -C utils/libdislocator
--	-$(MAKE) -C utils/libtokencap
--	-$(MAKE) -C utils/afl_network_proxy
--	-$(MAKE) -C utils/socket_fuzzing
--	-$(MAKE) -C utils/argv_fuzzing
-+	$(MAKE) -C utils/libdislocator
-+	$(MAKE) -C utils/libtokencap
-+	$(MAKE) -C utils/afl_network_proxy
-+	$(MAKE) -C utils/socket_fuzzing
-+	$(MAKE) -C utils/argv_fuzzing
- 	# -$(MAKE) -C utils/plot_ui
--	-$(MAKE) -C frida_mode
-+	$(MAKE) -C frida_mode
- ifneq "$(SYS)" "Darwin"
- ifeq "$(ARCH)" "aarch64"
--	-$(MAKE) -C coresight_mode
-+	$(MAKE) -C coresight_mode
- endif
- ifeq "$(SYS)" "Linux"
- 	-cd nyx_mode && ./build_nyx_support.sh
-@@ -651,12 +651,12 @@ endif
- 
- .PHONY: source-only
- source-only: all
--	-$(MAKE) -j4 -f GNUmakefile.llvm
-+	$(MAKE) -j4 -f GNUmakefile.llvm
- ifneq "$(SYS)" "Darwin"
--	-$(MAKE) -f GNUmakefile.gcc_plugin
-+	$(MAKE) -f GNUmakefile.gcc_plugin
- endif
--	-$(MAKE) -C utils/libdislocator
--	-$(MAKE) -C utils/libtokencap
-+	$(MAKE) -C utils/libdislocator
-+	$(MAKE) -C utils/libtokencap
- 	# -$(MAKE) -C utils/plot_ui
- ifeq "$(SYS)" "Linux"
- 	-cd nyx_mode && ./build_nyx_support.sh
-@@ -702,9 +702,9 @@ install: all $(MANPAGES)
- 	@if [ -f utils/afl_network_proxy/afl-network-server ]; then $(MAKE) -C utils/afl_network_proxy install; fi
- 	@if [ -f utils/aflpp_driver/libAFLDriver.a ]; then set -e; install -m 644 utils/aflpp_driver/libAFLDriver.a $${DESTDIR}$(HELPER_PATH); fi
- 	@if [ -f utils/aflpp_driver/libAFLQemuDriver.a ]; then set -e; install -m 644 utils/aflpp_driver/libAFLQemuDriver.a $${DESTDIR}$(HELPER_PATH); fi
--	-$(MAKE) -f GNUmakefile.llvm install
-+	$(MAKE) -f GNUmakefile.llvm install
- ifneq "$(SYS)" "Darwin"
--	-$(MAKE) -f GNUmakefile.gcc_plugin install
-+	$(MAKE) -f GNUmakefile.gcc_plugin install
- endif
- 	ln -sf afl-cc $${DESTDIR}$(BIN_PATH)/afl-gcc
- 	ln -sf afl-cc $${DESTDIR}$(BIN_PATH)/afl-g++
---- a/GNUmakefile.llvm
-+++ b/GNUmakefile.llvm
-@@ -457,6 +457,7 @@ document:
- test_build: $(PROGS)
- 	@echo "[*] Testing the CC wrapper and instrumentation output..."
- 	unset AFL_USE_ASAN AFL_USE_MSAN AFL_INST_RATIO; ASAN_OPTIONS=detect_leaks=0 AFL_QUIET=1 AFL_PATH=. AFL_LLVM_LAF_ALL=1 ./afl-cc $(CFLAGS) $(CPPFLAGS) ./test-instr.c -o test-instr $(LDFLAGS)
-+	@test -e test-instr || { echo "[-] Testing CC wrapper failed. You seem not to have a working compiler." ; exit 1; }
- 	ASAN_OPTIONS=detect_leaks=0 ./afl-showmap -m none -q -o .test-instr0 ./test-instr < /dev/null
- 	echo 1 | ASAN_OPTIONS=detect_leaks=0 ./afl-showmap -m none -q -o .test-instr1 ./test-instr
- 	@rm -f test-instr

diff --git a/app-forensics/aflplusplus/files/aflplusplus-4.00c-respect-flags.patch b/app-forensics/aflplusplus/files/aflplusplus-4.00c-respect-flags.patch
deleted file mode 100644
index 47ccbe008c89..000000000000
--- a/app-forensics/aflplusplus/files/aflplusplus-4.00c-respect-flags.patch
+++ /dev/null
@@ -1,122 +0,0 @@
---- a/GNUmakefile
-+++ b/GNUmakefile
-@@ -420,7 +420,7 @@ afl-as: src/afl-as.c include/afl-as.h $(COMM_HDR) | test_x86
- 	@ln -sf afl-as as
- 
- src/afl-performance.o : $(COMM_HDR) src/afl-performance.c include/hash.h
--	$(CC) $(CFLAGS) -Iinclude $(SPECIAL_PERFORMANCE) -O3 -fno-unroll-loops -c src/afl-performance.c -o src/afl-performance.o
-+	$(CC) $(CFLAGS) -Iinclude $(SPECIAL_PERFORMANCE) -fno-unroll-loops -c src/afl-performance.c -o src/afl-performance.o
- 
- src/afl-common.o : $(COMM_HDR) src/afl-common.c include/common.h
- 	$(CC) $(CFLAGS) $(CFLAGS_FLTO) -c src/afl-common.c -o src/afl-common.o
---- a/GNUmakefile.gcc_plugin
-+++ b/GNUmakefile.gcc_plugin
-@@ -131,18 +131,18 @@ afl-common.o: ./src/afl-common.c
- 	$(CC) $(CFLAGS) $(CPPFLAGS) -c $< -o $@ $(LDFLAGS)
- 
- ./afl-compiler-rt.o: instrumentation/afl-compiler-rt.o.c
--	$(CC) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -fPIC -c $< -o $@
-+	$(CC) $(CFLAGS) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -fPIC -c $< -o $@
- 
- ./afl-compiler-rt-32.o: instrumentation/afl-compiler-rt.o.c
- 	@printf "[*] Building 32-bit variant of the runtime (-m32)... "
--	@$(CC) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -m32 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-32.o afl-llvm-rt-32.o; else echo "failed (that's fine)"; fi
-+	@$(CC) $(CFLAGS) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -m32 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-32.o afl-llvm-rt-32.o; else echo "failed (that's fine)"; fi
- 
- ./afl-compiler-rt-64.o: instrumentation/afl-compiler-rt.o.c
- 	@printf "[*] Building 64-bit variant of the runtime (-m64)... "
--	@$(CC) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -m64 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-64.o afl-llvm-rt-64.o; else echo "failed (that's fine)"; fi
-+	@$(CC) $(CFLAGS) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -m64 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-64.o afl-llvm-rt-64.o; else echo "failed (that's fine)"; fi
- 
- ./afl-gcc-pass.so: instrumentation/afl-gcc-pass.so.cc | test_deps
--	$(CXX) $(CXXEFLAGS) $(PLUGIN_FLAGS) -shared $< -o $@
-+	$(CXX) $(CXXEFLAGS) $(PLUGIN_FLAGS) -shared $< -o $@ $(LDFLAGS)
- 	ln -sf afl-cc afl-gcc-fast
- 	ln -sf afl-cc afl-g++-fast
- 	ln -sf afl-cc.8 afl-gcc-fast.8
---- a/GNUmakefile.llvm
-+++ b/GNUmakefile.llvm
-@@ -438,20 +438,20 @@ afl-llvm-dict2file.so:	instrumentation/afl-llvm-dict2file.so.cc instrumentation/
- 
- .PHONY: document
- document:
--	$(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -O3 -Wno-unused-result -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt.o
--	@$(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -O3 -Wno-unused-result -m32 -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt-32.o 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; else echo "failed (that's fine)"; fi
--	@$(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -O3 -Wno-unused-result -m64 -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt-64.o 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; else echo "failed (that's fine)"; fi
-+	$(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS) $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -Wno-unused-result -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt.o
-+	@$(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS) $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -Wno-unused-result -m32 -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt-32.o 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; else echo "failed (that's fine)"; fi
-+	@$(CLANG_BIN) -D_AFL_DOCUMENT_MUTATIONS $(CFLAGS) $(CFLAGS_SAFE) $(CPPFLAGS) $(CLANG_CFL) -Wno-unused-result -m64 -fPIC -c instrumentation/afl-compiler-rt.o.c -o ./afl-compiler-rt-64.o 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; else echo "failed (that's fine)"; fi
- 
- ./afl-compiler-rt.o: instrumentation/afl-compiler-rt.o.c
--	$(CC) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -fPIC -c $< -o $@
-+	$(CC) $(CFLAGS) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -fPIC -c $< -o $@
- 
- ./afl-compiler-rt-32.o: instrumentation/afl-compiler-rt.o.c
- 	@printf "[*] Building 32-bit variant of the runtime (-m32)... "
--	@$(CC) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -m32 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-32.o afl-llvm-rt-32.o; else echo "failed (that's fine)"; fi
-+	@$(CC) $(CFLAGS) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -m32 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-32.o afl-llvm-rt-32.o; else echo "failed (that's fine)"; fi
- 
- ./afl-compiler-rt-64.o: instrumentation/afl-compiler-rt.o.c
- 	@printf "[*] Building 64-bit variant of the runtime (-m64)... "
--	@$(CC) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -O3 -Wno-unused-result -m64 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-64.o afl-llvm-rt-64.o; else echo "failed (that's fine)"; fi
-+	@$(CC) $(CFLAGS) $(CLANG_CFL) $(CFLAGS_SAFE) $(CPPFLAGS) -Wno-unused-result -m64 -fPIC -c $< -o $@ 2>/dev/null; if [ "$$?" = "0" ]; then echo "success!"; ln -sf afl-compiler-rt-64.o afl-llvm-rt-64.o; else echo "failed (that's fine)"; fi
- 
- .PHONY: test_build
- test_build: $(PROGS)
---- a/custom_mutators/honggfuzz/Makefile
-+++ b/custom_mutators/honggfuzz/Makefile
-@@ -1,5 +1,6 @@
- 
--CFLAGS = -O3 -funroll-loops -fPIC -Wl,-Bsymbolic
-+CFLAGS ?= -O3
-+CFLAGS += -funroll-loops -fPIC -Wl,-Bsymbolic
- 
- all: honggfuzz-mutator.so
- 
---- a/custom_mutators/libfuzzer/Makefile
-+++ b/custom_mutators/libfuzzer/Makefile
-@@ -1,5 +1,6 @@
- 
--CFLAGS = -g -O3 -funroll-loops -fPIC -fpermissive -std=c++11
-+CFLAGS ?= -g -O3
-+CFLAGS += -funroll-loops -fpermissive -std=c++11 -fPIC
- #CFLAGS = -g -O0 -fPIC -fpermissive -std=c++11
- CXX ?= clang++
- 
---- a/frida_mode/GNUmakefile
-+++ b/frida_mode/GNUmakefile
-@@ -17,7 +17,6 @@ CFLAGS+=-fPIC \
- 		-D_GNU_SOURCE \
- 		-D_FORTIFY_SOURCE=2 \
- 		-g \
--		-O3 \
- 		-funroll-loops \
- 		-ffunction-sections \
- 
---- a/frida_mode/test/png/persistent/hook/GNUmakefile
-+++ b/frida_mode/test/png/persistent/hook/GNUmakefile
-@@ -5,11 +5,9 @@ BUILD_DIR:=$(PWD)build/
- AFLPP_FRIDA_DRIVER_HOOK_OBJ=$(ROOT)frida_mode/build/frida_hook.so
- AFLPP_QEMU_DRIVER_HOOK_OBJ=$(ROOT)frida_mode/build/qemu_hook.so
- 
--CFLAGS+=-O3 \
--		-funroll-loops \
-+CFLAGS+= -funroll-loops \
- 		-g \
--		-fPIC \
--		-funroll-loops \
-+		-fPIC
- 
- LDFLAGS+=-shared \
- 
---- a/utils/aflpp_driver/GNUmakefile
-+++ b/utils/aflpp_driver/GNUmakefile
-@@ -7,7 +7,7 @@ ifneq "" "$(LLVM_BINDIR)"
-   LLVM_BINDIR := $(LLVM_BINDIR)/
- endif
- 
--CFLAGS := -O3 -funroll-loops -g -fPIC
-+CFLAGS ?= -O3 -funroll-loops -g -fPIC
- 
- all:	libAFLDriver.a libAFLQemuDriver.a aflpp_qemu_driver_hook.so
- 


             reply	other threads:[~2022-08-31  4:30 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-08-31  4:30 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-01-10  3:36 [gentoo-commits] repo/gentoo:master commit in: app-forensics/aflplusplus/, app-forensics/aflplusplus/files/ Sam James
2022-07-04 23:24 Sam James
2022-07-04 23:24 Sam James
2022-01-28  6:21 Sam James
2021-06-01 18:33 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1661920003.0e3b20750bc2d021e7540d24433bfbf3afb16890.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox